
Katello - Refactor #7224

Refactor puppet-candlepin increase flexibility to support more use cases.

08/21/2014 05:06 PM - Dennis Crissman

Status: Resolved   

Priority: Normal   

Assignee: Dennis Crissman   

Category:    

Target version: Katello Recycle Bin   

Branch:  Pull request:  

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Description

I would like to use the existing open sourced candlepin puppet module for an internal roll out of candlepin that does not use Katello.

To accomplish this a number of refactors will be required.

Associated revisions

Revision 63fc49f5 - 10/09/2014 03:02 PM - Dennis Crissman 

Refs #7224 - initial pass at making puppet-candlepin work for hosted environment

Revision 64d6c2ff - 10/10/2014 11:12 AM - Dennis Crissman 

Refs #7224 - fix warnings

Revision 90897eb9 - 10/23/2014 04:13 PM - Dennis Crissman 

Refs #7224: add unit tests

Revision db962f26 - 10/28/2014 02:17 PM - Eric D Helms 

Merge pull request #13 from dcrissman/hosted-candlepin-database

Refs #7224 - initial pass at making puppet-candlepin work for hosted environment

History

#1 - 12/21/2015 03:31 PM - Eric Helms

- Status changed from New to Resolved

#2 - 07/08/2016 11:11 AM - Eric Helms

- translation missing: en.field_release set to 166
